Bug 1689161 - CVE-2019-5418 CVE-2019-5419 rubygem-actionview: various flaws [fedora-all]
Summary: CVE-2019-5418 CVE-2019-5419 rubygem-actionview: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-actionview
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Pavel Valena
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-5418 CVE-2019-5419
TreeView+ depends on / blocked
 
Reported: 2019-03-15 10:30 UTC by Andrej Nemec
Modified: 2019-05-10 00:47 UTC (History)
4 users (show)

Fixed In Version: rubygem-actionview-5.2.2.1-2.fc30 rubygem-actionview-5.2.2.1-2.fc31 rubygem-actionview-5.2.3-2.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-10 00:47:04 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2019-03-15 10:30:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2019-03-15 10:30:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1689159,1689160,1689161

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Pavel Valena 2019-04-01 20:26:22 UTC
Fixed in Rawhide and F30 by rebase.

Comment 3 Fedora Update System 2019-04-30 02:11:07 UTC
rubygem-railties-5.2.3-1.fc30 rubygem-rails-5.2.3-1.fc30 rubygem-activesupport-5.2.3-1.fc30 rubygem-activerecord-5.2.3-1.fc30 rubygem-activemodel-5.2.3-2.fc30 rubygem-activejob-5.2.3-1.fc30 rubygem-actionview-5.2.3-2.fc30 rubygem-actionpack-5.2.3-2.fc30 rubygem-actionmailer-5.2.3-1.fc30 rubygem-actioncable-5.2.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1cfe24db5c

Comment 4 Fedora Update System 2019-05-01 01:43:54 UTC
rubygem-actioncable-5.2.3-1.fc30, rubygem-actionmailer-5.2.3-1.fc30, rubygem-actionpack-5.2.3-2.fc30, rubygem-actionview-5.2.3-2.fc30, rubygem-activejob-5.2.3-1.fc30, rubygem-activemodel-5.2.3-2.fc30, rubygem-activerecord-5.2.3-1.fc30, rubygem-activestorage-5.2.3-1.fc30, rubygem-activesupport-5.2.3-1.fc30, rubygem-rails-5.2.3-1.fc30, rubygem-railties-5.2.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1cfe24db5c

Comment 5 Fedora Update System 2019-05-10 00:47:04 UTC
rubygem-actioncable-5.2.3-1.fc30, rubygem-actionmailer-5.2.3-1.fc30, rubygem-actionpack-5.2.3-2.fc30, rubygem-actionview-5.2.3-2.fc30, rubygem-activejob-5.2.3-1.fc30, rubygem-activemodel-5.2.3-2.fc30, rubygem-activerecord-5.2.3-1.fc30, rubygem-activestorage-5.2.3-1.fc30, rubygem-activesupport-5.2.3-1.fc30, rubygem-rails-5.2.3-1.fc30, rubygem-railties-5.2.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.